Globalize and acts_as_versioned

The subject says it all: Has anyone had any experience with using
globalize and acts_as_versioned (or equivalent) together. That is, I
would like the version control to take the locales into account, the
en-US translation could be on version 7 while the fr-FR version is 3.
Am thinking about extending these plugins but maybe someone has
already done this?

Tanks in advance.

Regards

Erik Lindblad